Skip to main content

POS Integration

This service offers the possibility to provide instant financing from your store’s physical Point of Sale (POS). Before starting please contact our team at hola@aplazame.com and we will guide you through the implementation process.

Create a checkout offline

POST https://api.aplazame.com/checkout/offline HTTP/1.1
Authorization: Bearer api_private_key
Accept: application/vnd.aplazame.v3+json
Content-Type: application/json
{
"order": {},
"customer": {},
"billing": {},
"shipping": {},
"merchant": {
"ipn_url": "https://..."
}
}
ParameterTypeRequiredDescription
customerobjectYesCustomer data.
orderobjectYesYour order data.
billingobjectNoBilling address.
shippingobjectNoShipping info.
ipn_urlobjectNo(Instant Payment Notification) Absolute URL to notify checkout status changes.

Response

HTTP/1.1 201 OK
X-Aplazame-Media-Type: aplazame.v3
{
"id": ":checkoutId"
}
ParameterTypeDescription
:checkoutIdstringCheckout ID set by Aplazame

Checkout status

The status of a checkout can be queried using its ID

GET https://api.aplazame.com/checkout/:checkoutId/status
Authorization: Bearer api_private_key
Accept: application/vnd.aplazame.v3+json
ParameterTypeDescription
:checkoutIdstringCheckout ID set by Aplazame

Response

HTTP/1.1 200 OK
X-Aplazame-Media-Type: aplazame.v3
Content-Type: application/json
{
"id": ":checkoutId",
"mid": "28475648233786783165",
"total_amount": 12050,
"currency": {
"name": "Euro",
"code": "EUR",
"numeric": "978"
},
"status": "pending",
"status_reason": "confirmation_required",
"sandbox": false
}
ParameterTypeDescription
:checkoutIdstringCheckout ID set by Aplazame
midstringOrder identifier generated by the store or generated automatically by Aplazame
total_amountdecimalQuantity to be financed
currencydecimalOrder currency
statusstringOrder status (ok, pending o ko)
status_reasonstringOrder status reason
sandboxbooleanThis order was placed in the sandbox environment

IPN (Instant Payment Notification)

Changes in checkout status will be notified at the URL given on creating the checkout

Notification content

{
"id": ":checkoutId",
"mid": "28475648233786783165",
"total_amount": 12050,
"currency": {
"name": "Euro",
"code": "EUR",
"numeric": "978"
},
"status": "pending",
"status_reason": "confirmation_required",
"sandbox": false
}
ParameterTypeDescription
:checkoutIdstringCheckout ID set by Aplazame
midstringOrder identifier generated by the store or generated automatically by Aplazame.
total_amountdecimalQuantity to be financed
currencydecimalOrder currency.
statusstringOrder status (ok, pending o ko)
status_reasonstringOrder status reason.
sandboxbooleanThe order was placed in the test environment.

Status codes

Depending on the status field of the order, the status_reason field provides specific information regarding Aplazame’s reasons for determining the order status.

StatusStatus reasonCause
pendingin_processThe buyer has initiated the payment process but has not yet completed it.
pendingconfirmation_requiredThe financing request has been accepted by Aplazame which is now waiting for final confirmation from the store.
pendingchallenge_requiredAplazame is waiting for the buyer to complete an identity validation challenge after completing the financing request.
koexpiredThe financing request has expired.
koexpired_challengeThe buyer has not passed the identity validation challenge within the allocated time.
koko_genericThe financing request has not passed the Aplazame admission criteria.
kofailed_challengeThe buyer has not passed the identity validation task.
koconfirmation_rejected_by_merchantThe store has rejected the order.
komerchant_failed_to_confirmConfirmation with the store was not possible.
okThe financing request has been completed and accepted by the store.